<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
?>

<form name="form-position" action="<?php echo esc_url( admin_url('admin-post.php') ); ?>" method="post" enctype="multipart/form-data" class="c-form <?php if ($_SESSION['position--step']): ?>c-form--position<?php endif; ?>">
    <div id="action" class="c-form--action c-form--action-position"></div>
<?php

    if ( !$_SESSION['position--step'] ):
        include_once('biuro-contacts-public--position--step-1.php');
    else:
        include_once('biuro-contacts-public--position--step-2.php');
    endif;
 ?>
    <input type="hidden" name="job_id" value="<?php echo $job_id; ?>">
    <input type="hidden" name="action" value="position_post">
    <?php wp_nonce_field('position_post_nonce'); ?>
</form>

<?php if($_SESSION['position--s'] == 1) {
?>

<?php
unset($_SESSION['position--s']);
}?>

<?php if($_SESSION['position--s'] == 2) {
?>

<div class="c-modal">
    <div class="c-modal--inner">
        <svg  width="67px" height="67px" viewBox="0 0 67 67" >
            <g id="FINAL@" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                <g id="skelbimo-vidaus-formos-pranesimas" transform="translate(-687.000000, -459.000000)" fill-rule="nonzero">
                    <g id="pranesimas" transform="translate(409.000000, 403.000000)">
                        <g id="ok" transform="translate(278.000000, 56.000000)">
                            <g id="Group-2">
                                <path d="M44.6239031,22.504689 C44.9259634,22.2026915 45.4156549,22.2026915 45.7177153,22.504689 L47.5406518,24.3276884 C47.8427121,24.6297488 47.8427121,25.1195032 47.5406518,25.4215006 L28.2168453,44.74537 C27.914722,45.0473675 27.4250305,45.0473675 27.1230331,44.74537 L18.5236597,36.1459967 C18.2215994,35.8438734 18.2215994,35.3541819 18.5236597,35.0521215 L20.3465962,33.229185 C20.6487195,32.9271247 21.138411,32.9271247 21.4404714,33.229185 L27.6699392,39.4586528 L44.6239031,22.504689 Z" id="" fill="#1FB299"></path>
                                <circle id="Oval" stroke="#1FB299" cx="33.5" cy="33.5" r="33"></circle>
                            </g>
                        </g>
                    </g>
                </g>
            </g>
        </svg>
        <p><?php _e('Thank You! Your data was send successfully.', 'biuro-contacts'); ?></p>
        <p><button  class="js-modal--close o-btn c-btn--main"><?php _e('OK', 'biuro-contacts'); ?></button></p>
    </div>
</div>
<script>
    window.dataLayer = window.dataLayer || [];
    dataLayer.push({'event': 'b2c_form_submit_success_validated', 'label': 'Job page'});
</script>

<?php
unset($_SESSION['position--s']);
}?>
